/**
 *
 * Beschreibung
 *
 * @version 1.0 vom 13.03.2023
 * @author 
 */

public class Test {
  
  public static int laufzeit1(int x)
  {
    int erg = x;
    for (int i=1;i<x;i++) {
        erg = erg + x;
        System.out.println("Laufzeit ist sehr wichtig!");
    } // end of for
    return erg;
  }
  
  public static int laufzeit2(int x, int y)
  {
    int erg = 0;
    for (int i=0;i<x;i++) {
      for (int j=0;j<y;j++) {
          System.out.println("Algorithmen sollten immer auf Laufzeit untersucht werden.");
          erg++;
      } // end of for
    } // end of for
    return erg;
  }
  
  public static int laufzeit3(int x)
  {
    if (x<=0){
      System.out.println("Mystery");
      return 0;
    }
    else {
      System.out.println("Mystery");
      return x+laufzeit3(x-1);
    } // end of if-else
  }
  
  public static int laufzeit4(int x)
  {
    int erg=0;
    if (x>0)
    {
      
      for (int i=0;i<x;i++) {
          erg = erg + laufzeit4(x-1);
          System.out.println("Kurz kann manchmal sehr lange dauern.");
      } // end of for
    }
    else {
      return 1;
    } // end of if-else
    
    return erg;
  }
  
  public static void main(String[] args) {
         //System.out.println(laufzeit1(10000));
         //System.out.println(laufzeit2(100,100));
         //System.out.println(laufzeit3(10));
         //System.out.println(laufzeit4(6));
  } // end of main

} // end of class Test
